iladiag(3)

NAME
iladiag - iladiag: diag string to BLAST const

SYNOPSIS

  Functions

integer function iladiag (diag)
ILADIAG

Detailed Description

Function Documentation

  integer function iladiag (character diag)

ILADIAG

Purpose:

    !>
    !> This subroutine translated from a character string specifying if a
    !> matrix has unit diagonal or not to the relevant BLAST-specified
    !> integer constant.
    !>
    !> ILADIAG returns an INTEGER.  If ILADIAG < 0, then the input is not a
    !> character indicating a unit or non-unit diagonal.  Otherwise ILADIAG
    !> returns the constant value corresponding to DIAG.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.